actori-web 2.0.0

Actori web is a simple, pragmatic and extremely fast web framework for Rust.
[badges.codecov]
branch = "master"
repository = "actori/actori-web"
service = "github"

[badges.travis-ci]
branch = "master"
repository = "actori/actori-web"
[dependencies.actori-codec]
version = "0.2.0"

[dependencies.actori-http]
version = "1.0.1"

[dependencies.actori-macros]
version = "0.1.1"

[dependencies.actori-router]
version = "0.2.4"

[dependencies.actori-rt]
version = "1.0.0"

[dependencies.actori-server]
version = "1.0.1"

[dependencies.actori-service]
version = "1.0.5"

[dependencies.actori-testing]
version = "1.0.0"

[dependencies.actori-threadpool]
version = "0.3.1"

[dependencies.actori-tls]
version = "1.0.0"

[dependencies.actori-utils]
version = "1.0.6"

[dependencies.actori-web-codegen]
version = "0.2.0"

[dependencies.actoriwc]
default-features = false
version = "1.0.1"

[dependencies.bytes]
version = "0.5.3"

[dependencies.derive_more]
version = "0.99.2"

[dependencies.encoding_rs]
version = "0.8"

[dependencies.futures]
version = "0.3.1"

[dependencies.fxhash]
version = "0.2.1"

[dependencies.log]
version = "0.4"

[dependencies.mime]
version = "0.3"

[dependencies.net2]
version = "0.2.33"

[dependencies.open-ssl]
optional = true
package = "openssl"
version = "0.10"

[dependencies.pin-project]
version = "0.4.6"

[dependencies.regex]
version = "1.3"

[dependencies.rust-tls]
optional = true
package = "rustls"
version = "0.16.0"

[dependencies.serde]
features = ["derive"]
version = "1.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_urlencoded]
version = "0.6.1"

[dependencies.time]
version = "0.1.42"

[dependencies.url]
version = "2.1"
[dev-dependencies.actori]
version = "0.9.0"

[dev-dependencies.brotli2]
version = "0.3.2"

[dev-dependencies.env_logger]
version = "0.6"

[dev-dependencies.flate2]
version = "1.0.13"

[dev-dependencies.rand]
version = "0.7"

[dev-dependencies.serde_derive]
version = "1.0"

[features]
compress = ["actori-http/compress", "actoriwc/compress"]
default = ["compress", "failure"]
failure = ["actori-http/failure"]
openssl = ["actori-tls/openssl", "actoriwc/openssl", "open-ssl"]
rustls = ["actori-tls/rustls", "actoriwc/rustls", "rust-tls"]
secure-cookies = ["actori-http/secure-cookies"]

[lib]
name = "actori_web"
path = "src/lib.rs"

[package]
authors = ["Christian Haynes <06chaynes@gmail.com>", "Nikolay Kim <fafhrd91@gmail.com>"]
categories = ["network-programming", "asynchronous", "web-programming::http-server", "web-programming::websocket"]
description = "Actori web is a simple, pragmatic and extremely fast web framework for Rust."
documentation = "https://docs.rs/actori-web/"
edition = "2018"
homepage = "https://actori.t42x.net"
keywords = ["actori", "http", "web", "framework", "async"]
license = "MIT/Apache-2.0"
name = "actori-web"
readme = "README.md"
repository = "https://github.com/actori/actori-web.git"
version = "2.0.0"
[package.metadata.docs.rs]
features = ["openssl", "rustls", "compress", "secure-cookies"]
[profile.release]
codegen-units = 1
lto = true
opt-level = 3